## hunspell-dict-ko 0.3.0

=== tests/Makefile ===
TESTS = $(wildcard *.test)

all: test

test:
	@for T in $(TESTS); do \
		echo "Testing $$T..."; \
		perl runtest.pl $$T || exit 1; \
	done

.PHONY: all clean test

## hunspell-dict-ko 0.4.1

=== debian/changelog ===
hunspell-dict-ko (0.4.1-1) unstable; urgency=low

  * New Upstream Version
  * Standards-Version: 3.8.4
  * Don't create 'ko-KR' links for Mozilla anymore (Closes: #566804)
  * Use source format 3.0 (quilt)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 06 Jun 2010 19:39:05 +0900

hunspell-dict-ko (0.3.5-1) unstable; urgency=low

  * New upstream release
  * Standards-Version: 3.8.3

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 01 Nov 2009 04:32:42 +0900

hunspell-dict-ko (0.3.3-1) unstable; urgency=low

  * New Upstream Version
  * Move dicts files to /usr/share/hunspell and make compat links.
  (Closes: #541907)

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 30 Aug 2009 17:42:59 +0900

hunspell-dict-ko (0.3.2-1) unstable; urgency=low

  * New Upstream Version

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 26 Jul 2009 06:54:09 +0900

hunspell-dict-ko (0.3.1-1) unstable; urgency=low

  * New Upstream Version
  * Add CREDITS document file.

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 05 Jul 2009 03:53:32 +0900

hunspell-dict-ko (0.3.0-1) unstable; urgency=low

  * New Upstream Version
  * Standard-Version: 3.8.2

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 20 Jun 2009 01:24:04 +0900

hunspell-dict-ko (0.2.4-1) unstable; urgency=low

  * New Upstream Version

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 24 May 2009 01:48:11 +0900

hunspell-dict-ko (0.2.3-1) unstable; urgency=low

  * New Upstream Version

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 10 May 2009 01:14:29 +0900

hunspell-dict-ko (0.2.2-1) unstable; urgency=low

  * New Upstream Version
  * Provides hunspell-dictionary and hunspell-dictionary-ko.
  * Do not install upstream README which is not useful to users.

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 28 Apr 2009 03:45:13 +0900

hunspell-dict-ko (0.2.0-1) unstable; urgency=low

  * Initial Release (Closes: #518442).

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 15 Mar 2009 15:40:23 +0900

=== debian/control ===
Source: hunspell-dict-ko
Section: text
Priority: optional
Maintainer: Changwoo Ryu <cwryu@debian.org>
Homepage: http://code.google.com/p/spellcheck-ko
Vcs-Browser: http://git.debian.org/?p=l10n-korean/hunspell-dict-ko.git
Vcs-Git: git://git.debian.org/git/l10n-korean/hunspell-dict-ko.git
Build-Depends: cdbs,
	       debhelper (>= 7),
Build-Depends-Indep: dictionaries-common-dev (>= 1.0),
		     python (>= 2.5),
		     python-lxml,
Standards-Version: 3.8.4

Package: hunspell-ko
Architecture: all
Depends: ${misc:Depends},
	 dictionaries-common (>= 1.0)
Provides: hunspell-dictionary, hunspell-dictionary-ko
Conflicts: libhunspell-1.2-0 (<< 1.2.8)
Description: Korean dictionary for hunspell
 This is Korean dictionary for use with hunspell

=== debian/watch ===
version=3
http://code.google.com/p/spellcheck-ko/downloads/list http://spellcheck-ko.googlecode.com/files/hunspell-dict-ko-(.*)\.tar\.gz

## hunspell-dict-ko 0.4.3

=== debian/changelog ===
hunspell-dict-ko (0.4.3-1) unstable; urgency=low

  * New Upstream Version
  * debian/control:
    - Standards-Version: 3.9.1

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 01 Aug 2010 04:24:19 +0900

hunspell-dict-ko (0.4.2-1) unstable; urgency=low

  * New Upstream Version
  * debian/watch: now works with the recent Google Code update
  * debian/control:
    - build-depends on dictionaries-common-dev >= 1.4.0
    - Standards-Version: 3.9.0

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 04 Jul 2010 19:55:34 +0900

=== debian/control ===
--- 
+++ 
@@ -7,10 +7,10 @@
 Vcs-Git: git://git.debian.org/git/l10n-korean/hunspell-dict-ko.git
 Build-Depends: cdbs,
 	       debhelper (>= 7),
-Build-Depends-Indep: dictionaries-common-dev (>= 1.0),
+Build-Depends-Indep: dictionaries-common-dev (>= 1.4.0),
 		     python (>= 2.5),
 		     python-lxml,
-Standards-Version: 3.8.4
+Standards-Version: 3.9.1
 
 Package: hunspell-ko
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/dictionaries-common/cdbs/dict-common.mk
include /usr/share/cdbs/1/class/makefile.mk

DEB_INSTALL_DOCS_ALL = CREDITS

=== debian/watch ===
version=3
opts=\
downloadurlmangle=s|.*[?]name=(.*?)&.*|http://spellcheck-ko.googlecode.com/files/$1|,\
filenamemangle=s|[^/]+[?]name=(.*?)&.*|$1| \
http://code.google.com/p/spellcheck-ko/downloads/detail[?]name=hunspell-dict-ko-([0-9.]+).tar.gz&.*

## hunspell-dict-ko 0.5.0

=== debian/changelog ===
hunspell-dict-ko (0.5.0-1) unstable; urgency=low

  * New Upstream Version

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 25 Oct 2010 03:07:50 +0900

## hunspell-dict-ko 0.5.2

=== debian/changelog ===
hunspell-dict-ko (0.5.2-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New Upstream Version
    - Needs hunspell >= 1.2.14
  * Team maintained by Debian Korean L10N

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 03 Apr 2011 12:46:20 +0900

hunspell-dict-ko (0.5.1-1) unstable; urgency=low

  * New Upstream Version
  * Drop CDBS and use debhelper7

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 21 Mar 2011 03:17:38 +0900

=== debian/control ===
Source: hunspell-dict-ko
Section: text
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: http://code.google.com/p/spellcheck-ko
Vcs-Browser: http://git.debian.org/?p=l10n-korean/hunspell-dict-ko.git
Vcs-Git: git://git.debian.org/git/l10n-korean/hunspell-dict-ko.git
Build-Depends: quilt (>= 0.46-7~),
	       debhelper (>= 7.0.50~),
Build-Depends-Indep: dictionaries-common-dev (>= 1.4.0),
		     python (>= 2.5),
		     python-lxml,
Standards-Version: 3.9.1

Package: hunspell-ko
Architecture: all
Depends: ${misc:Depends},
	 dictionaries-common (>= 1.0)
Provides: hunspell-dictionary, hunspell-dictionary-ko
Conflicts: libhunspell-1.2-0 (<< 1.2.14)
Description: Korean dictionary for hunspell
 This is Korean dictionary for use with hunspell

## hunspell-dict-ko 0.5.3

=== debian/changelog ===
hunspell-dict-ko (0.5.3-1ubuntu1) oneiric; urgency=low

  * Build-depend on hunspell, needed by the test suite.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Jun 2011 12:33:07 +0100

hunspell-dict-ko (0.5.3-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New Upstream Version
  * debian/control:
    - Standards-Version: 3.9.2

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 30 Apr 2011 19:22:17 +0900

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: hunspell-dict-ko
 Section: text
 Priority: optional
-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
 Uploaders: Changwoo Ryu <cwryu@debian.org>
 Homepage: http://code.google.com/p/spellcheck-ko
 Vcs-Browser: http://git.debian.org/?p=l10n-korean/hunspell-dict-ko.git
@@ -9,9 +10,10 @@
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
 Build-Depends-Indep: dictionaries-common-dev (>= 1.4.0),
+		     hunspell,
 		     python (>= 2.5),
 		     python-lxml,
-Standards-Version: 3.9.1
+Standards-Version: 3.9.2
 
 Package: hunspell-ko
 Architecture: all

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --with quilt

override_dh_auto_install:
	dh_auto_install
	installdeb-hunspell
	installdeb-myspell

## hunspell-dict-ko 0.5.5

=== debian/changelog ===
hunspell-dict-ko (0.5.5-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New Upstream Version

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 12 Sep 2011 09:50:20 +0900

hunspell-dict-ko (0.5.4-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New Upstream Version
  * debian/rules:
    - Disable 'test' target (closes: #625144)
  * debian/control:
    - Build-Depends on dictionaries-common-dev (>= 1.10.5) (closes: #629071)

 -- Changwoo Ryu <cwryu@debian.org>  Tue, 19 Jul 2011 09:01:01 +0900

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,14 @@
 Source: hunspell-dict-ko
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
+Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
 Uploaders: Changwoo Ryu <cwryu@debian.org>
 Homepage: http://code.google.com/p/spellcheck-ko
 Vcs-Browser: http://git.debian.org/?p=l10n-korean/hunspell-dict-ko.git
 Vcs-Git: git://git.debian.org/git/l10n-korean/hunspell-dict-ko.git
 Build-Depends: quilt (>= 0.46-7~),
 	       debhelper (>= 7.0.50~),
-Build-Depends-Indep: dictionaries-common-dev (>= 1.4.0),
-		     hunspell,
+Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
 		     python (>= 2.5),
 		     python-lxml,
 Standards-Version: 3.9.2

=== debian/rules ===
--- 
+++ 
@@ -8,3 +8,6 @@
 	dh_auto_install
 	installdeb-hunspell
 	installdeb-myspell
+
+# disable 'test' target
+override_dh_auto_test:

## hunspell-dict-ko 0.5.6

=== Makefile ===
PYTHON = python
ZIP = zip -r

AFFIX = ko.aff
DICT = ko.dic

CLEANFILES = $(AFFIX) $(DICT)

SOURCES = make-aff-dic.py config.py suffix.py suffixdata.py jamo.py	\
	flags.py aff.py josa.py template.aff
DICT_DATA = dict-ko-builtins.xml dict-ko-galkwi.xml

DISTDIR = dist

PACKAGE = hunspell-dict-ko
VERSION = $(shell $(PYTHON) -c 'import config;print(config.version)')
RELEASETAG = HEAD

SRC_DISTNAME = hunspell-dict-ko-$(VERSION)
SRC_DISTFILE = $(DISTDIR)/$(SRC_DISTNAME).tar.xz
BIN_DISTNAME = ko-aff-dic-$(VERSION)
BIN_DISTFILE = $(DISTDIR)/$(BIN_DISTNAME).zip
BIN_DISTCONTENT = LICENSE LICENSE.GPL LICENSE.LGPL LICENSE.MPL $(AFFIX) $(DICT)

all: $(AFFIX) $(DICT)

$(AFFIX) $(DICT): $(DICT_DATA) $(SOURCES)
	$(PYTHON) make-aff-dic.py $(AFFIX) $(DICT) $(DICT_DATA) 

distdir:
	if ! [ -d $(DISTDIR) ]; then mkdir $(DISTDIR); fi

clean: 
	rm -f $(CLEANFILES)
	rm -rf $(DISTDIR)

dist:: distdir $(BIN_DISTCONTENT)
	git archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG) || (echo "** Do 'git config tar.tar.xz.command \"xz -c\"'"; false)
	rm -f $(BIN_DISTFILE)
	mkdir -p $(BIN_DISTNAME)
	install -m644 $(BIN_DISTCONTENT) $(BIN_DISTNAME)/
	$(ZIP) $(BIN_DISTFILE) $(BIN_DISTNAME)
	rm -rf $(BIN_DISTNAME)

test:
	$(MAKE) -C tests test

.PHONY: all clean dist distdir test

=== tests/Makefile ===
TESTS = $(wildcard *.test)

all: test

test:
	@for T in $(TESTS); do \
		echo "Testing $$T..."; \
		perl runtest.py $$T || exit 1; \
	done

.PHONY: all clean test

=== debian/changelog ===
hunspell-dict-ko (0.5.6-2) unstable; urgency=low

  [ Changwoo Ryu ]
  * debian/watch: Find .tar.xz upstream tarball
  * Standards-Version: 3.9.6
  * Add git-buildpackage config
  * Don't specify xz option anymore
  * Correct Vcs-* fields
  * Use Breaks instead of versioned Conflicts

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 09 Nov 2014 01:09:42 +0900

hunspell-dict-ko (0.5.6-1) unstable; urgency=low

  [ Changwoo Ryu ]
  * New Upstream Version
  * Clean up debian/watch
  * Use xz compression
  * Use debhelper 9
  * Remove Build-Depends on quilt
  * Use the copyright format 1.0
  * Standards-Version: 3.9.3

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 07 Oct 2012 11:26:06 +0900

=== debian/control ===
Source: hunspell-dict-ko
Section: text
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: http://code.google.com/p/spellcheck-ko
Vcs-Browser: https://anonscm.debian.org/cgit/l10n-korean/hunspell-dict-ko.git
Vcs-Git: git://anonscm.debian.org/l10n-korean/hunspell-dict-ko.git
Build-Depends: debhelper (>= 9),
Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
		     python (>= 2.5),
		     python-lxml,
Standards-Version: 3.9.6

Package: hunspell-ko
Architecture: all
Depends: ${misc:Depends},
	 dictionaries-common (>= 1.0)
Provides: hunspell-dictionary, hunspell-dictionary-ko
Breaks: libhunspell-1.2-0 (<< 1.2.14)
Description: Korean dictionary for hunspell
 This is the Korean dictionary for use with the hunspell spellchecker.

=== debian/rules ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with quilt
+	dh $@
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/watch ===
version=3
http://code.google.com/p/spellcheck-ko/downloads/list .*/hunspell-dict-ko-(\d[\d.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## hunspell-dict-ko 0.6.0

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-PYTHON = python
+PYTHON = python3
 ZIP = zip -r
 
 AFFIX = ko.aff
@@ -8,7 +8,7 @@
 
 SOURCES = make-aff-dic.py config.py suffix.py suffixdata.py jamo.py	\
 	flags.py aff.py josa.py template.aff
-DICT_DATA = dict-ko-builtins.xml dict-ko-galkwi.xml
+DICT_DATA = dict-ko-builtins.json dict-ko-galkwi.json
 
 DISTDIR = dist
 
@@ -35,7 +35,7 @@
 	rm -rf $(DISTDIR)
 
 dist:: distdir $(BIN_DISTCONTENT)
-	git archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG) || (echo "** Do 'git config tar.tar.xz.command \"xz -c\"'"; false)
+	git -c 'tar.tar.xz.command=xz -c' archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG)
 	rm -f $(BIN_DISTFILE)
 	mkdir -p $(BIN_DISTNAME)
 	install -m644 $(BIN_DISTCONTENT) $(BIN_DISTNAME)/

=== tests/Makefile ===
TESTS = $(sort $(wildcard *.test))

all: test

test:
	@for T in $(TESTS); do \
		echo "Testing $$T..."; \
		python3 runtest.py $$T || exit 1; \
	done

.PHONY: all clean test

=== debian/changelog ===
hunspell-dict-ko (0.6.0-2) unstable; urgency=medium

  * debian/copyright: Fix typos
  * debian/control: Append python3-lxml in Build-Depends (Closes: #855675)

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 22 Feb 2017 16:09:06 +0900

hunspell-dict-ko (0.6.0-1) unstable; urgency=medium

  [ Changwoo Ryu ]
  * New upstream version
  * debian/{control,watch,copyright}: Change the upstream URL
  * debian/control: Standards-Version: 3.9.8
  * debian/control: Correct VCS URLs
  * debian/control: More description
  * debian/copyright: Correct DEP-5 copyright format

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 20 Feb 2017 22:44:40 +0900

=== debian/control ===
Source: hunspell-dict-ko
Section: text
Priority: optional
Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
Uploaders: Changwoo Ryu <cwryu@debian.org>
Homepage: https://spellcheck-ko.github.io/
Vcs-Browser: https://anonscm.debian.org/git/l10n-korean/hunspell-dict-ko.git
Vcs-Git: https://anonscm.debian.org/git/l10n-korean/hunspell-dict-ko.git
Build-Depends: debhelper (>= 9),
Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
		     python3 (>= 3.5),
		     python3-lxml,
Standards-Version: 3.9.8

Package: hunspell-ko
Architecture: all
Depends: ${misc:Depends},
	 dictionaries-common (>= 1.0)
Provides: hunspell-dictionary, hunspell-dictionary-ko
Breaks: libhunspell-1.2-0 (<< 1.2.14)
Description: Korean dictionary for hunspell
 This is the Korean dictionary for use with the hunspell spellchecker.
 .
 Hunspell is a spell checker and morphological analyzer library and program
 designed for languages with rich morphology and complex word compounding or
 character encoding. It is based on MySpell and features an Ispell-like
 terminal interface using Curses library, an Ispell pipe interface and a
 LibreOffice UNO module.

## hunspell-dict-ko 0.6.4

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 SOURCES = make-aff-dic.py config.py suffix.py suffixdata.py jamo.py	\
 	flags.py aff.py josa.py template.aff
-DICT_DATA = dict-ko-builtins.json dict-ko-galkwi.json
+DICT_DATA = dict-ko-builtins.json dict-ko-galkwi-ccby.json dict-ko-galkwi-mplgpllgpl.json
 
 DISTDIR = dist
 
@@ -20,7 +20,7 @@
 SRC_DISTFILE = $(DISTDIR)/$(SRC_DISTNAME).tar.xz
 BIN_DISTNAME = ko-aff-dic-$(VERSION)
 BIN_DISTFILE = $(DISTDIR)/$(BIN_DISTNAME).zip
-BIN_DISTCONTENT = LICENSE LICENSE.GPL LICENSE.LGPL LICENSE.MPL $(AFFIX) $(DICT)
+BIN_DISTCONTENT = LICENSE LICENSE.CC-BY LICENSE.GPL LICENSE.LGPL LICENSE.MPL $(AFFIX) $(DICT)
 
 all: $(AFFIX) $(DICT)

=== debian/changelog ===
hunspell-dict-ko (0.6.4-1) unstable; urgency=medium

  * New upstream version (Closes: #859294)

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 08 Sep 2017 05:52:37 +0900

hunspell-dict-ko (0.6.3-1) unstable; urgency=medium

  * New upstream version

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 27 Aug 2017 11:39:21 +0900

hunspell-dict-ko (0.6.2-1) unstable; urgency=medium

  * New upstream version (Closes: #859294)
  * debian/gbp.conf: Use master branch for gbp

 -- Changwoo Ryu <cwryu@debian.org>  Thu, 23 Feb 2017 01:57:17 +0900

=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
 Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
 		     python3 (>= 3.5),
 		     python3-lxml,
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 
 Package: hunspell-ko
 Architecture: all

## hunspell-dict-ko 0.7.1

=== Makefile ===
PYTHON := python3
ZIP := zip -r

AFFIX := ko.aff
DICT := ko.dic

CLEANFILES := $(AFFIX) $(DICT)

SOURCES := make-aff-dic.py config.py suffix.py suffixdata.py jamo.py	\
	flags.py aff.py josa.py template.aff
DICT_DATA = dict-ko-builtins.json dict-ko-galkwi-ccbysa.json dict-ko-galkwi-mplgpllgpl.json

DISTDIR := dist

PACKAGE := hunspell-dict-ko
VERSION := $(shell $(PYTHON) -c 'import config;print(config.version)')
RELEASETAG := HEAD

SRC_DISTNAME := hunspell-dict-ko-$(VERSION)
SRC_DISTFILE := $(DISTDIR)/$(SRC_DISTNAME).tar.xz
BIN_DISTNAME := ko-aff-dic-$(VERSION)
BIN_DISTFILE := $(DISTDIR)/$(BIN_DISTNAME).zip
BIN_DISTCONTENT = LICENSE LICENSE.CC-BY-SA-4.0 LICENSE.GPL LICENSE.LGPL LICENSE.MPL $(AFFIX) $(DICT)

all: $(AFFIX) $(DICT)

$(AFFIX) $(DICT): $(DICT_DATA) $(SOURCES)
	$(PYTHON) make-aff-dic.py $(AFFIX) $(DICT) $(DICT_DATA) 

distdir:
	if ! [ -d $(DISTDIR) ]; then mkdir $(DISTDIR); fi

clean: 
	rm -f $(CLEANFILES)
	rm -rf $(DISTDIR)

dist:: distdir $(BIN_DISTCONTENT)
	git -c 'tar.tar.xz.command=xz -c' archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG)
	rm -f $(BIN_DISTFILE)
	mkdir -p $(BIN_DISTNAME)
	install -m644 $(BIN_DISTCONTENT) $(BIN_DISTNAME)/
	$(ZIP) $(BIN_DISTFILE) $(BIN_DISTNAME)
	rm -rf $(BIN_DISTNAME)

test:
	$(MAKE) -C tests test

.PHONY: all clean dist distdir test

=== tests/Makefile ===
TESTS = $(sort $(wildcard *.test))

all: test

test:
	@for T in $(TESTS); do \
		echo "Testing $$T..."; \
		python3 runtest.py $$T; \
	done

.PHONY: all clean test

=== debian/changelog ===
hunspell-dict-ko (0.7.1-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - Standards-Version: 4.1.2
    - Change the Section back to text
  * debian/source/options:
    - Ignore __pycache__ to workaround dpkg-source failure
  * debian/rules:
    - Install the upstream NEWS file

 -- Changwoo Ryu <cwryu@debian.org>  Mon, 25 Dec 2017 17:35:08 +0900

hunspell-dict-ko (0.7.0-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - Remove python3-lxml from build dependency
    - Standards-Version: 4.1.1
    - Change the section to localization
  * debian/copyright:
    - Add CC-BY-4.0 and CC-BY-SA-2.0 licenses

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 11 Nov 2017 13:01:15 +0900

=== debian/control ===
--- 
+++ 
@@ -9,8 +9,7 @@
 Build-Depends: debhelper (>= 9),
 Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
 		     python3 (>= 3.5),
-		     python3-lxml,
-Standards-Version: 4.0.0
+Standards-Version: 4.1.2
 
 Package: hunspell-ko
 Architecture: all

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/<project>-$1\.tar\.gz/ \
https://github.com/spellcheck-ko/hunspell-dict-ko/releases .*/v?(\d[\d.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## hunspell-dict-ko 0.7.90

=== debian/changelog ===
hunspell-dict-ko (0.7.90-1) unstable; urgency=medium

  * New upstream version
  * debian/control:
    - Update Vcs-* to the salsa.debian.org repository
    - Standards-Version: 4.3.0
  * debian/salsa-ci.yml: Add Salsa CI
  * debian/watch: Fix tarball download name

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 19 Jul 2019 00:53:28 -0300

=== debian/control ===
--- 
+++ 
@@ -4,12 +4,12 @@
 Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
 Uploaders: Changwoo Ryu <cwryu@debian.org>
 Homepage: https://spellcheck-ko.github.io/
-Vcs-Browser: https://anonscm.debian.org/git/l10n-korean/hunspell-dict-ko.git
-Vcs-Git: https://anonscm.debian.org/git/l10n-korean/hunspell-dict-ko.git
+Vcs-Browser: https://salsa.debian.org/l10n-korean-team/hunspell-dict-ko
+Vcs-Git: https://salsa.debian.org/l10n-korean-team/hunspell-dict-ko.git
 Build-Depends: debhelper (>= 9),
 Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
 		     python3 (>= 3.5),
-Standards-Version: 4.1.2
+Standards-Version: 4.3.0
 
 Package: hunspell-ko
 Architecture: all

## hunspell-dict-ko 0.7.92

=== Makefile ===
PYTHON := python3
ZIP := zip -r

KO_AFF := ko.aff
KO_DIC := ko.dic

CLEANFILES := $(KO_AFF) $(KO_DIC)

SOURCES := make-aff-dic.py config.py suffix.py suffixdata.py jamo.py	\
	flags.py aff.py josa.py template.aff
DICT_DATA = dict-ko-builtins.yaml dict-ko-data.yaml

DISTDIR := dist

HOST_DICT_PATH := /usr/share/hunspell/ko

PACKAGE := hunspell-dict-ko
VERSION := $(shell $(PYTHON) -c 'import config;print(config.version)')
RELEASETAG := HEAD

SRC_DISTNAME := hunspell-dict-ko-$(VERSION)
SRC_DISTFILE := $(DISTDIR)/$(SRC_DISTNAME).tar.xz
BIN_DISTNAME := ko-aff-dic-$(VERSION)
BIN_DISTFILE := $(DISTDIR)/$(BIN_DISTNAME).zip
BIN_DISTCONTENT = LICENSE.md LICENSE.GPL-3 $(KO_AFF) $(KO_DIC)

all: build

build: $(KO_AFF) $(KO_DIC)

$(KO_AFF) $(KO_DIC): $(DICT_DATA) $(SOURCES)
	$(PYTHON) make-aff-dic.py $(KO_AFF) $(KO_DIC) $(DICT_DATA) 

distdir:
	if ! [ -d $(DISTDIR) ]; then mkdir $(DISTDIR); fi

clean: 
	rm -f $(CLEANFILES)
	rm -rf $(DISTDIR)

dist:: distdir $(BIN_DISTCONTENT)
	git -c 'tar.tar.xz.command=xz -c' archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG)
	rm -f $(BIN_DISTFILE)
	mkdir -p $(BIN_DISTNAME)
	install -m644 $(BIN_DISTCONTENT) $(BIN_DISTNAME)/
	$(ZIP) $(BIN_DISTFILE) $(BIN_DISTNAME)
	rm -rf $(BIN_DISTNAME)

test: build
	$(MAKE) -C tests test

hosttest:
	$(MAKE) -C tests test DICT=$(HOST_DICT_PATH)

.PHONY: all build clean dist distdir test autopkgtest

=== data/Makefile ===
PYTHON=python3
SCRIPTSDIR=scripts
ENTRIESDIR=entries

.PHONY:
.PHONY: all build help

all: help

help:
	@echo "Targets: "
	@echo "    make build"
	@echo "      - build hunspell-dict-ko word files from raw files"

build:
	$(PYTHON) $(SCRIPTSDIR)/build.py

process:
	$(PYTHON) $(SCRIPTSDIR)/process.py $(ENTRIESDIR)

=== tests/Makefile ===
TESTS = $(sort $(wildcard *.test))
DICT = ../ko

all: test

test:
	-echo | hunspell -d $(DICT) | head -1
	python3 checkhunspellversion.py
	@RESULT=0; for T in $(TESTS); do \
		echo "Testing $$T..."; \
		python3 runtest.py $(DICT) $$T || RESULT=1; \
	done; exit $$RESULT

.PHONY: all clean test

=== debian/changelog ===
hunspell-dict-ko (0.7.92-1) unstable; urgency=medium

  * New upstream version
    - Update debian/copyright
    - Add python3-yaml to Build-Depends
  * debian/watch: Correct the upstream filename
  * debian/control:
    - Bump debhelper compat to 12
    - Bump Standards-Version to 4.4.1
    - Change the Section to localization
    - Move useless Build-Depends-Indep to Build-Depends
  * debian/copyright:
    - Use https for the copyright format URI
  * debian/tests/control: Add autopkgtest settings

 -- Changwoo Ryu <cwryu@debian.org>  Wed, 04 Dec 2019 20:21:15 +0900

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,17 @@
 Source: hunspell-dict-ko
-Section: text
+Section: localization
 Priority: optional
 Maintainer: Debian Korean L10N <debian-l10n-korean@lists.debian.org>
 Uploaders: Changwoo Ryu <cwryu@debian.org>
 Homepage: https://spellcheck-ko.github.io/
 Vcs-Browser: https://salsa.debian.org/l10n-korean-team/hunspell-dict-ko
 Vcs-Git: https://salsa.debian.org/l10n-korean-team/hunspell-dict-ko.git
-Build-Depends: debhelper (>= 9),
-Build-Depends-Indep: dictionaries-common-dev (>= 1.10.5),
-		     python3 (>= 3.5),
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12),
+               dictionaries-common-dev (>= 1.10.5),
+               python3 (>= 3.5),
+               python3-yaml,
+Rules-Requires-Root: no
+Standards-Version: 4.4.1
 
 Package: hunspell-ko
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -11,3 +11,6 @@
 
 # disable 'test' target
 override_dh_auto_test:
+
+override_dh_installchangelogs:
+	dh_installchangelogs NEWS.md

=== debian/tests/control ===
Test-Command: make hosttest HOST_DICT_PATH=/usr/share/hunspell/ko
Depends: hunspell-ko, hunspell (>= 1.7.0), make

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hunspell-dict-ko-$1\.tar\.gz/ \
https://github.com/spellcheck-ko/hunspell-dict-ko/releases .*/v?(\d[\d.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)

## hunspell-dict-ko 0.7.94

=== Makefile ===
--- 
+++ 
@@ -31,20 +31,24 @@
 $(KO_AFF) $(KO_DIC): $(DICT_DATA) $(SOURCES)
 	$(PYTHON) make-aff-dic.py $(KO_AFF) $(KO_DIC) $(DICT_DATA) 
 
-distdir:
+distdir::
 	if ! [ -d $(DISTDIR) ]; then mkdir $(DISTDIR); fi
 
 clean: 
 	rm -f $(CLEANFILES)
 	rm -rf $(DISTDIR)
 
-dist:: distdir $(BIN_DISTCONTENT)
-	git -c 'tar.tar.xz.command=xz -c' archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG)
+dist:: bdist sdist
+
+bdist:: distdir $(BIN_DISTCONTENT)
 	rm -f $(BIN_DISTFILE)
 	mkdir -p $(BIN_DISTNAME)
 	install -m644 $(BIN_DISTCONTENT) $(BIN_DISTNAME)/
 	$(ZIP) $(BIN_DISTFILE) $(BIN_DISTNAME)
 	rm -rf $(BIN_DISTNAME)
+
+sdist:: distdir $(BIN_DISTCONTENT)
+	git -c 'tar.tar.xz.command=xz -c' archive --format=tar.xz --prefix=$(SRC_DISTNAME)/ -o $(SRC_DISTFILE) $(RELEASETAG)
 
 test: build
 	$(MAKE) -C tests test

=== data/Makefile ===
MAKEFLAGS += -j$(shell nproc)

PYTHON=python3
SCRIPTSDIR=scripts
ENTRIESDIR=entries

.PHONY:
.PHONY: all build help

all: help

help:
	@echo "Targets: "
	@echo "    make build"
	@echo "      - build hunspell-dict-ko word files from raw files"

build::
	$(PYTHON) $(SCRIPTSDIR)/build.py

process:: $(ENTRIESDIR)/*.yaml

$(ENTRIESDIR)/*.yaml::
	$(PYTHON) $(SCRIPTSDIR)/process.py $@

=== debian/changelog ===
hunspell-dict-ko (0.7.94-2) unstable; urgency=medium

  * Fix FTBFS on double build (Closes: #1046822)
    * Remove *.bdic introduced in 0.7.93-1.
  * Fix RE escape sequences to remove warnings in Python 3.12.
    (Closes: #1061803)

 -- Changwoo Ryu <cwryu@debian.org>  Sat, 24 Feb 2024 20:20:01 +0900

hunspell-dict-ko (0.7.94-1) unstable; urgency=medium

  * New upstream version

 -- Changwoo Ryu <cwryu@debian.org>  Sun, 18 Jun 2023 16:31:52 +0900

hunspell-dict-ko (0.7.93-1) unstable; urgency=medium

  * New upstream version
    - Back to tarball-based upstream branch
  * Add python3 as a test dependencies (Closes: #1027417)
  * debian/watch: Fix to work with github changes
  * debian/control:
    - Bump debhelper compat to 13
    - Bump Standards-Version to 4.6.2
  * debian/copyright:
    - Fix lintian errors
    - Ignore the lintian error about typo in MPL 1.1
  - Build and install ko.bdic for Qt WebEngine (Closes: #1020469)

 -- Changwoo Ryu <cwryu@debian.org>  Fri, 02 Jun 2023 01:46:02 +0900

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Homepage: https://spellcheck-ko.github.io/
 Vcs-Browser: https://salsa.debian.org/l10n-korean-team/hunspell-dict-ko
 Vcs-Git: https://salsa.debian.org/l10n-korean-team/hunspell-dict-ko.git
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dictionaries-common-dev (>= 1.10.5),
                python3 (>= 3.5),
                python3-yaml,
+               convert-bdic,
 Rules-Requires-Root: no
-Standards-Version: 4.4.1
+Standards-Version: 4.6.2
 
 Package: hunspell-ko
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,14 @@
 
 %:
 	dh $@
+
+override_dh_auto_build:
+	dh_auto_build
+	/usr/bin/convert-bdic ko.dic ko.bdic
+
+override_dh_auto_clean:
+	dh_auto_clean
+	rm -f ko.bdic
 
 override_dh_auto_install:
 	dh_auto_install

=== debian/tests/control ===
Test-Command: make hosttest HOST_DICT_PATH=/usr/share/hunspell/ko
Depends: hunspell-ko, hunspell (>= 1.7.0), make, python3

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/hunspell-dict-ko-$1\.tar\.gz/ \
https://github.com/spellcheck-ko/hunspell-dict-ko/tags .*/v?(\d[\d.]*)\.(?:tar\.gz|tar\.bz2|tar\.xz)
